package cn.quant.baa.pay.model.web;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * Created with IntelliJ IDEA.
 * Author: Lipeng Liu
 * Date: 2021/9/7
 * Time: 下午4:31
 * Description: No Description
 */
public class CheckPayRequestData implements Serializable {

    private static final long serialVersionUID = -2386424808660622542L;

    /**
     * 支付通道ID
     */
    @NotNull(message = "ILLEGAL_REQ_CHAN_ID")
    private String chanId;

    /**
     * 商户订单号
     */
    @Size(min = 6, max = 64, message = "ILLEGAL_REQ_OUT_TRADE_NO")
    @NotNull(message = "ILLEGAL_REQ_OUT_TRADE_NO")
    private String outTradeNo;

    public String getChanId() {
        return chanId;
    }

    public void setChanId(String chanId) {
        this.chanId = chanId;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }
}
